<?php
/**
 * FFGate - Helper
 *
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 1.0.0 $
 **/

defined('_JEXEC') or die ('Restricted access');

/**
 * Class FFGateHelperBasic
 *
 * @since  1.0.0
 */
class FFGateHelperBasic
{
	private static $instance;

	/**
	 * Gets the template name
	 *
	 * @param   int  $num  - The number of the template
	 *
	 * @return  string
	 */
	public static function getTemplateName($num)
	{
		switch ($num)
		{
			case 1:
				return "modern";
			case 2:
				return "spacy";
			default:
				return "default";
		}
	}

	/**
	 * Gets the footer
	 *
	 * @return  string
	 */
	public static function footer()
	{
		$footer = '<p style="text-align: center; margin-top: 15px;" class="copyright"> ';
		$footer .= '<a href="https://compojoom.com/joomla-extensions/ffgate-facebook-fan-gate-for-joomla">FFGate</a>'
			. ' - Facebook Fan-Gate for <a href="http://joomla.org" target="_blank">Joomla!™</a>';
		$footer .= ' by <a href="https://compojoom.com">compojoom.com</a>';
		$footer .= '</p>';

		return $footer;
	}

	/**
	 * include the bootstrap css and js if necessary
	 *
	 * @return  void
	 */
	public static function bootstrap()
	{
		if (JVERSION < 3.0)
		{
			JHTML::_('stylesheet', 'media/com_ffgate/css/bootstrap.css');
			JHTML::_('stylesheet', 'media/com_ffgate/css/bootstrap25.css');
			JHTML::_('script', 'media/com_ffgate/js/jquery.min.js');
			JHTML::_('script', 'media/com_ffgate/js/bootstrap.min.js');
			JHTML::_('script', 'media/com_ffgate/js/radiobtns.js');
			JHTML::_('script', 'media/com_ffgate/js/bootstrap25.js');
		}

		// Always load the strapper css
		JHTML::_('stylesheet', 'media/com_matukio/css/strapper.css');
	}
}
