<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */
defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');
jimport('joomla.html.html.tabs');

if (JVERSION > 3)
{
	JHTML::_('bootstrap.tooltip');
	JHtml::_('formbehavior.chosen', 'select');
}
else
{
	JHTML::_('behavior.tooltip');
}

JHTML::_('behavior.multiselect');

FFGateHelperBasic::bootstrap();

// Small css fixes
JFactory::getDocument()->addStyleDeclaration('
		.form-horizontal .control-label {padding-top: 7px;}
		.table td {vertical-align: middle;}
		label {display: inline-block !important; }
		.controls > .radio:first-child, .controls > .checkbox:first-child {
		padding-top: 4px;
		}
		fieldset label,
		fieldset span.faux-label {
			float: left;
			clear: none;
			display: inline-block !important;
			margin: 0;
		}
');
?>

<div class="compojoom-bootstrap">
	<form action="<?php JRoute::_("index.php?option=com_ffgate&controller=settings"); ?>" method="post" name="adminForm"
	      id="adminForm">

		<div id="ffgate_sets" class="ffgate_settings_holder ffgate_settings row-fluid form-horizontal">
			<!-- List of tabs -->
			<ul id="tabs" class="nav nav-tabs">
				<li class="active">
					<a href="#layout" data-toggle="tab"><?php echo JText::_('COM_FFGATE_LAYOUT'); ?></a>
				</li>
				<li>
					<a href="#advanced" data-toggle="tab"><?php echo JText::_('COM_FFGATE_ADVANCED'); ?></a>
				</li>
			</ul>

			<!-- Tab content -->
			<div class="tab-content">

				<div class="tab-pane active" id="layout">
					<div class="control-group">
						<?php echo JText::_("COM_FFGATE_LAYOUT_INTRO"); ?>
					</div>
					<div class="row-fluid">
						<div class="span6">
							<?php
							// Print the available settings in this category
							echo FFGateHelperSettings::getSettingsBlock($this->items_layout);
							?>
						</div>
					</div>
				</div>

				<div class="tab-pane" id="advanced">
					<div class="control-group">
						<?php echo JText::_("COM_FFGATE_ADVANCED_INTRO"); ?>
					</div>
					<div class="row-fluid">
						<div class="span6">
							<?php
							// Print the available settings in this category
							echo FFGateHelperSettings::getSettingsBlock($this->items_advanced);
							?>
						</div>
					</div>
				</div>

			</div>

		<input type="hidden" name="option" value="com_ffgate"/>
		<input type="hidden" name="view" value="settings"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="controller" value="settings"/>

		<?php echo JHTML::_('form.token'); ?>
	</form>

	<div class="clr"></div>
</div>
<?php
// Show footer
echo FFGateHelperBasic::footer();

