<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */
defined('_JEXEC') or die();
jimport('joomla.application.component.view');

/**
 * Class FFGateViewSettings
 *
 * @since  1.0.0
 */
class FFGateViewSettings extends JViewLegacy
{
	/**
	 * Displays the form
	 *
	 * @param   string  $tpl  - An opt template
	 *
	 * @return  mixed|void
	 */
	public function display($tpl = null)
	{
		$uri = JFactory::getURI();

		$items = $this->get('Data');

		for ($i = 0; $i < count($items); $i++)
		{
			$item = $items[$i];

			if ($item->catdisp == "layout")
			{
				$items_layout[$item->id] = $item;
			}

			if ($item->catdisp == "advanced")
			{
				$items_advanced[$item->id] = $item;
			}
		}

		$this->items = $items;
		$this->items_layout = $items_layout;
		$this->items_advanced = $items_advanced;

		$this->addToolbar();

		parent::display($tpl);
	}

	/**
	 * Adds the toolbar
	 *
	 * @return  void
	 */
	public function addToolbar()
	{
		JToolBarHelper::title(JText::_('COM_FFGATE_SETTINGS'), 'config');
		JToolBarHelper::apply("settings.apply");
		JToolBarHelper::save("settings.save");
		JToolBarHelper::custom("settings.reset", "options", "options", JText::_('COM_FFGATE_SETTINGS_RESET'), false);
		JToolBarHelper::preferences("com_ffgate");
	}
}
