<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.model');

/**
 * Class FFGateModelSite
 *
 * @since  1.0.0
 */
class FFGateModelSite extends JModelLegacy
{
	/**
	 * Gets the site
	 *
	 * @param   int     $site    - The site id
	 * @param   string  $secure  - The secure key
	 *
	 * @return mixed
	 */
	public function getSite($site, $secure = null)
	{
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);

		$date = JFactory::getDate("now");

		$query->select('*')->from('#__ffgate_sites')->where(array('id = ' . $db->quote($site),
			'published = 1', "((published_up < " . $db->quote($date->toSql()) . ") or (published_up = '0000-00-00 00:00:00'))", // 10.1
			"((published_down > " . $db->quote($date->toSql()) . ") or (published_down = '0000-00-00 00:00:00'))"
		));

		$db->setQuery($query);

		return $db->loadObject();
	}
}
